Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common.ampool
Class AMPoolMessageBundle

    java.lang.Object
      |
      +--java.util.ResourceBundle
            |
            +--java.util.ListResourceBundle
                  |
                  +--oracle.jbo.common.CheckedListResourceBundle
                        |
                        +--oracle.jbo.common.ampool.AMPoolMessageBundle

public class AMPoolMessageBundle
extends CheckedListResourceBundle

Field Summary
`static java.lang.String` | `EXC_AMPOOL_CHECKOUT_FAILED`
`static java.lang.String` | `EXC_AMPOOL_INVALID_CHECKIN`
`static java.lang.String` | `EXC_AMPOOL_INVALID_COOKIE`
`static java.lang.String` | `EXC_AMPOOL_INVALID_POOL_SIGNATURE`
`static java.lang.String` | `EXC_AMPOOL_MGR_ALREADY_CREATED`

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`AMPoolMessageBundle()`

Method Summary
`java.lang.Object[][]` | `getContents()` Gets the key-value association table.

Methods inherited from class java.util.ListResourceBundle
`getKeys, handleGetObject`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXC_AMPOOL_MGR_ALREADY_CREATED

    public static final java.lang.String EXC_AMPOOL_MGR_ALREADY_CREATED

### EXC_AMPOOL_INVALID_COOKIE

    public static final java.lang.String EXC_AMPOOL_INVALID_COOKIE

### EXC_AMPOOL_INVALID_POOL_SIGNATURE

    public static final java.lang.String EXC_AMPOOL_INVALID_POOL_SIGNATURE

### EXC_AMPOOL_CHECKOUT_FAILED

    public static final java.lang.String EXC_AMPOOL_CHECKOUT_FAILED

### EXC_AMPOOL_INVALID_CHECKIN

    public static final java.lang.String EXC_AMPOOL_INVALID_CHECKIN

Constructor Detail

### AMPoolMessageBundle

    public AMPoolMessageBundle()

Method Detail

### getContents

    public java.lang.Object[][] getContents()

  Gets the key-value association table.
  Overrides:
    getContents in class CheckedListResourceBundle
  Returns:
    an array of key-value pairs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD